%define upstream_name    GPS-Point
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Provides an object interface for a GPS point
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/GPS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.20.0
BuildRequires: perl(Test::Number::Delta)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildArch:  noarch

%description
This is a re-write of the Net::GPSD::Point manpage with a goal of being
more re-usable.

GPS::Point - Provides an object interface for a GPS fix (e.g. Position,
Velocity and Time).

  Note: Please use Geo::Point, if you want 2D or projection support.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.200.0-9.mga9
+ Revision: 1803912
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-8.mga8
+ Revision: 1494769
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.200.0-7.mga7
+ Revision: 1268332
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-6.mga6
+ Revision: 1027960
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.200.0-5.mga6
+ Revision: 929863
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 746706
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 684823
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 528689
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.200.0-1.mga4
+ Revision: 446960
- update to 0.20

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 367594
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 32004
- mageia rebuild
- imported package perl-GPS-Point


* Sun Oct 31 2010 Olivier Thauvin <nanardon@mandriva.org> 0.180.0-1mdv2011.0
+ Revision: 590777
- import perl-GPS-Point

